Package org.eclipse.search.ui.text

## Interface IEditorMatchAdapter

    public interface IEditorMatchAdapter

This interface serves as an adapter between matches and editors. It is used to highlight matches in editors. Search implementors who want their matches highlighted must return an implementation of `IEditorMatchAdapter` from the `getEditorMatchAdapter()` method in their search result subclass. It is assumed that the match adapters are stateless, and no lifecycle management is provided.

Clients may implement this interface.

Since:
  3.0
See Also:
  `AbstractTextSearchResult`

### Method Summary

All Methods Instance Methods Abstract Methods
`Match[]` `computeContainedMatches​(AbstractTextSearchResult result, IEditorPart editor)` Returns all matches that are contained in the element shown in the given editor.
`boolean` `isShownInEditor​(Match match, IEditorPart editor)` Determines whether a match should be displayed in the given editor.

### Method Detail

#### isShownInEditor

    boolean isShownInEditor​(Match match,
                            IEditorPart editor)

Determines whether a match should be displayed in the given editor. For example, if a match is reported in a file, This method should return `true`, if the given editor displays the file.

Parameters:
  `match` - The match
  `editor` - The editor that possibly contains the matches element
Returns:
  whether the given match should be displayed in the editor

#### computeContainedMatches

    Match[] computeContainedMatches​(AbstractTextSearchResult result,
                                    IEditorPart editor)

Returns all matches that are contained in the element shown in the given editor. For example, if the editor shows a particular file, all matches in that file should be returned.

Parameters:
  `result` - the result to search for matches
  `editor` - The editor.
Returns:
  All matches that are contained in the element that is shown in the given editor.